import { IDSL } from "typedraft";
export interface ISvelteDraftConfig {
    DSLs: Array<{
        name: string;
        dsl: () => IDSL;
    }>;
    include?: Array<string>;
    outDir?: string;
}
export declare function InspectDirectory(path: string, config?: ISvelteDraftConfig): void;
export declare function InspectFile(path: string, config?: ISvelteDraftConfig): void;
export declare function ComposeDirectory(path: string, config?: ISvelteDraftConfig, onTraverseEnd?: () => void): void;
export declare function CrossoutDirectory(path: string): void;
export declare function ComposeFile(source: string, config?: ISvelteDraftConfig): void;
export declare function TranscribeTypeDraftAsync(source: string, config?: ISvelteDraftConfig): Promise<string>;
export declare function TranscribeTypeDraftSync(source: string, config?: ISvelteDraftConfig): string;
export declare function TranscribeSvelteDraftAsync(source: string, config?: ISvelteDraftConfig): Promise<string>;
export declare function TranscribeSvelteDraftSync(source: string, config?: ISvelteDraftConfig): string;
