"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("@babel/types");
class SvelteWatch {
    constructor() {
        this.m_Merge = true;
    }
    Transcribe(block) {
        const [use_watch, ...rest] = block;
        let to_watch = block;
        if (types_1.isExpressionStatement(use_watch) && types_1.isStringLiteral(use_watch.expression)) {
            to_watch = rest;
        }
        return [types_1.labeledStatement(types_1.identifier("$"), types_1.blockStatement(to_watch))];
    }
}
exports.SvelteWatch = SvelteWatch;
